Summary:        Advanced, elegant jukebox style music player
Name:           quodlibet
Version:        2.5
Release:        %mkrel 3
License:        GPLv2+
Group:          Sound/Players
URL:            http://code.google.com/p/quodlibet/
Source0:        http://quodlibet.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires:  imagemagick
BuildRequires:  pygtk2.0-devel
BuildRequires:  pyvorbis
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  gstreamer0.10-python
BuildRequires:  mutagen
BuildRequires:  python-dbus
BuildRequires:  liboil-devel
BuildRequires:  python-feedparser
Requires:       gstreamer0.10-python
Requires:       python-feedparser
# for Replay Gain plugin
Requires:       vorbisgain
# for iPod device support
Requires:       python-gpod
# for CDDB plugin
Requires:       python-CDDB
Requires:       python-dbus
Requires:       python-feedparser
Requires:       gnome-python-gnomevfs
Requires:       exfalso = %{version}
Suggests:       quodlibet-plugins

%description
Quod Libet is a GTK+-based audio player written in Python. It's designed
around the idea that you know better than we do how to organize your music.
It lets you make playlists based on regular expressions (don't worry,
regular searches work too). It lets you display and edit any tags you want
in the file.

It supports Ogg Vorbis and MP3 by default, but other formats (FLAC, Musepack,
Wavepack, MPEG-4/AAC and MOD are available through gstreamer0.10 plugins.

Quod Libet easily scales to libraries of thousands of songs. It also supports
most of the features you expect from a modern media player, like Unicode
support, gapless playback, multimedia keys, and an OSD.

%package -n exfalso
Summary:    Tag editor for musical files
Group:      Sound/Utilities
Requires:   pygtk2.0
Requires:   python-ctypes
Requires:   pyvorbis
Requires:   mutagen
Requires:   quodlibet = %{version}
Conflicts:  quodlibet < 2.4

%description -n exfalso
Ex Falso is a program that uses the same tag editing backend as Quod Libet,
but isn't connected to an audio player. If you're perfectly happy with your
favorite player and just want something that can handle tagging, Ex Falso
is for you.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"

python setup.py build

%install
python setup.py install --root=%{buildroot} --prefix=%{_prefix}

%find_lang %{name}


%files -f %{name}.lang
%doc NEWS README HACKING
%{_bindir}/%{name}
%{py_sitedir}/%{name}
%{py_sitedir}/%{name}*.egg-info
%{_datadir}/applications/quodlibet.*
%{_datadir}/icons/hicolor/*/apps/quodlibet.*
%{_datadir}/pixmaps/quodlibet.*
%{_mandir}/man1/quodlibet.*

%files -n exfalso
%{_bindir}/exfalso
%{_datadir}/applications/exfalso.*
%{_mandir}/man1/exfalso.*
%{_datadir}/icons/hicolor/*/apps/exfalso.*
%{_datadir}/pixmaps/exfalso.*


%changelog

* Sat Jan 26 2013 malo <malo> 2.5-3.mga3
+ Revision: 392529
- add missing requires (mga#8802)

* Sun Jan 13 2013 umeabot <umeabot> 2.5-2.mga3
+ Revision: 380121
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 malo <malo> 2.5-1.mga3
+ Revision: 334068
- new version 2.5 final

* Sat Dec 15 2012 malo <malo> 2.4.91-1.mga3
+ Revision: 331032
- drop merged patch and install hack, update file list
- new version 2.5-beta1

* Sun Sep 30 2012 malo <malo> 2.4.1-1.mga3
+ Revision: 300694
- update to new version 2.4.1
- Update RPM group

* Tue Jun 19 2012 malo <malo> 2.4-1.mga3
+ Revision: 261841
- update to 2.4 (and update link patch)
- split package into quodlibet and exfalso

* Mon Mar 05 2012 malo <malo> 2.3.2-1.mga2
+ Revision: 219176
- update to new version 2.3.2
- spec clean-up after import from Mandriva (patch by Jeff)
- imported package quodlibet

